if (window.widget) {
	widget.onhide = onHide;
}

/*
 ****************************************************
 *	Main content (onload, content switching, etc	*
 ****************************************************
 */
 	
function loaded() {
	// toggleDebug();  // uncomment this line for debug output
	scrollerInit(document.getElementById("myScrollBar"), document.getElementById("myScrollTrack"), document.getElementById("myScrollThumb"));
//	showConstitution();
	setup();
}

// No track/key timers should be running while Dashboard is hidden.
function onHide () {
	clearTimer();
}

var oldContent;
var oldControl;

// Switches between the content DIVs.
function showContent(newContent, newControl) {
	if (oldContent != null) {
		oldContent.style.display = 'none';
		oldControl.style.color = 'gray';
	}
	
	newControl.style.color = 'black';
	newContent.style.display = 'block';
	
	// Resize, reposition the WidgetScroller thumb.
	// ***IMPORTANT! This needs to be called EVERY TIME you change the content
	// to be scrolled, including a resize or a mainContent/childDiv replacement
	calculateAndShowThumb(newContent);

	oldContent = newContent;
	oldControl = newControl;
}	
